Create Email template

Adds a new Email template to the Tenant's configuration.

POST
/v2/manage/email-templates

Adds a new Email template to the Tenant's configuration.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/v2/manage/email-templates" \  -H "Content-Type: application/json" \  -d '{    "TemplateType": "registration",    "Template": "string",    "Subject": "string"  }'
{
  "TemplateType": "welcome",
  "TemplateName": "Welcome Email",
  "Template": "Welcome to our service! We are glad to have you.",
  "Subject": "Welcome to our service!",
  "IsActive": true,
  "TextTemplate": "Welcome to our service! We are glad to have you.",
  "FromName": "Support Team",
  "FromEmail": "test@gmail.com",
  "EmailConfigId": "123e4567-e89b-12d3-a456-426614174000",
  "VerificationTokenType": "Otp"
}

{
  "ErrorCode": 7914,
  "Message": "Post body is invalid",
  "Description": "Please use a valid post body in JSON format."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "ErrorCode": 7930,
  "Message": "Email template already exist.",
  "Description": "The email template is already exist, Please use a different or unique name for the new email template."
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}